Package com.emc.d2fs.models.preference

# Class D2SVWidgetPreference

java.lang.Object
com.emc.d2fs.models.preference.D2SVWidgetPreference

All Implemented Interfaces:
  `Serializable`

public class D2SVWidgetPreference extends Object implements Serializable

Java class for d2SVWidgetPreference complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="d2SVWidgetPreference">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="d2SVWidgetState" type="{http://www.emc.com/d2fs/models/preference}d2SVWidgetState" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="colType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `D2SVWidgetPreference()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColType()`
  Gets the value of the colType property.
  `List<D2SVWidgetState>`
  `getD2SVWidgetState()`
  Gets the value of the d2SVWidgetState property.
  `void`
  `setColType(String value)`
  Sets the value of the colType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### D2SVWidgetPreference

    public D2SVWidgetPreference()

- ## Method Details

  - ### getD2SVWidgetState

    public List<D2SVWidgetState> getD2SVWidgetState()
    Gets the value of the d2SVWidgetState property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the d2SVWidgetState property.

    For example, to add a new item, do as follows:

            getD2SVWidgetState().add(newItem);

    Objects of the following type(s) are allowed in the list `D2SVWidgetState`

  - ### getColType

    public String getColType()
    Gets the value of the colType property.
    Returns:
      possible object is `String`

  - ### setColType

    public void setColType(String value)
    Sets the value of the colType property.
    Parameters:
      `value` - allowed object is `String`